Package org.drinkless.tdlib

# Class TdApi.Proxy

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Proxy

Enclosing class:
  TdApi

public static class TdApi.Proxy extends TdApi.Object
Contains information about a proxy server.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `id`
  Unique identifier of the proxy.
  `boolean`
  `isEnabled`
  True, if the proxy is enabled now.
  `int`
  `lastUsedDate`
  Point in time (Unix timestamp) when the proxy was last used; 0 if never.
  `int`
  `port`
  Proxy server port.
  `String`
  `server`
  Proxy server domain or IP address.
  `TdApi.ProxyType`
  `type`
  Type of the proxy.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Proxy()`
  Contains information about a proxy server.
  `Proxy(int id, String server, int port, int lastUsedDate, boolean isEnabled, TdApi.ProxyType type)`
  Contains information about a proxy server.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public int id
    Unique identifier of the proxy.

  - ### server

    public String server
    Proxy server domain or IP address.

  - ### port

    public int port
    Proxy server port.

  - ### lastUsedDate

    public int lastUsedDate
    Point in time (Unix timestamp) when the proxy was last used; 0 if never.

  - ### isEnabled

    public boolean isEnabled
    True, if the proxy is enabled now.

  - ### type

    public TdApi.ProxyType type
    Type of the proxy.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Proxy

    public Proxy()
    Contains information about a proxy server.

  - ### Proxy

    public Proxy(int id, String server, int port, int lastUsedDate, boolean isEnabled, TdApi.ProxyType type)
    Contains information about a proxy server.
    Parameters:
      `id` - Unique identifier of the proxy.
      `server` - Proxy server domain or IP address.
      `port` - Proxy server port.
      `lastUsedDate` - Point in time (Unix timestamp) when the proxy was last used; 0 if never.
      `isEnabled` - True, if the proxy is enabled now.
      `type` - Type of the proxy.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR